[project]
name = "konabot"
version = "0.1.0"
description = "在 MTTU 内部使用的 bot"
authors = [
    {name = "passthem",email = "Passthem183@gmail.com"}
]
readme = "README.md"
requires-python = ">=3.12,<4.0"
dependencies = [
    "nonebot2[all] (>=2.4.3,<3.0.0)",
    "nonebot-adapter-onebot (>=2.4.6,<3.0.0)",
    "nonebot-adapter-console (>=0.9.0,<0.10.0)",
    "nonebot-adapter-discord (>=0.1.8,<0.2.0)",
    "nonebot-adapter-minecraft (>=1.5.2,<2.0.0)",
    "nonebot-plugin-alconna (>=0.59.4,<0.60.0)",
    "nonebot-plugin-apscheduler (>=0.5.0,<0.6.0)",
    "requests (>=2.32.5,<3.0.0)",
    "beautifulsoup4 (>=4.13.5,<5.0.0)",
    "lxml (>=6.0.2,<7.0.0)",
    "pillow (>=11.3.0,<12.0.0)",
    "imagetext-py (>=2.2.0,<3.0.0)",
    "opencv-python-headless (>=4.12.0.88,<5.0.0.0)",
    "returns (>=0.26.0,<0.27.0)",
    "ptimeparse (>=0.1.1,<0.2.0)",
]

[build-system]
requires = ["poetry-core>=2.0.0,<3.0.0"]
build-backend = "poetry.core.masonry.api"

[[tool.poetry.source]]
name = "pt-gitea-pypi"
url = "https://gitea.service.jazzwhom.top/api/packages/Passthem/pypi/simple/"
priority = "supplemental"

[tool.poetry.dependencies]
ptimeparse = {source = "pt-gitea-pypi"}
